# Aliases

Unique IDs that retain all the essential information about the data without compromising its security.

## Reveal multiple aliases

> Given a list of aliases, retrieves all associated values stored in the\
> vault.\
> \
> \*\*NOTE:\*\* This endpoint may expose sensitive data. Therefore, it is\
> disabled by default. To enable it, please contact your VGS account\
> manager or drop us a line at\
> \[<support@verygoodsecurity.com>]\(mailto:<support@verygoodsecurity.com>).<br>

```json
{"openapi":"3.0.0","info":{"title":"Vault HTTP API","version":"1.0.0"},"tags":[{"name":"aliases","description":"Unique IDs that retain all the essential information about the data\nwithout compromising its security.\n"}],"servers":[{"url":"https://api.sandbox.verygoodvault.com","description":"Sandbox"},{"url":"https://api.live.verygoodvault.com","description":"Live"},{"url":"https://api.live-eu-1.verygoodvault.com","description":"Live EU"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"The default authentication schema."}},"schemas":{"RevealedData":{"type":"object","properties":{"value":{"type":"string","description":"Decrypted value stored in the vault."},"classifiers":{"type":"array","items":{"type":"string"},"description":"List of tags the value is classified with."},"aliases":{"type":"array","items":{"$ref":"#/components/schemas/AliasDto"},"description":"List of aliases associated with the value."},"created_at":{"type":"string","format":"date-time","description":"Creation time, in UTC.","nullable":true},"storage":{"type":"string","enum":["PERSISTENT","VOLATILE"],"default":"PERSISTENT","description":"Storage medium to use.\n\nVOLATILE results in data being persisted into an in-memory data store for one hour which is required for PCI compliant storage of card security code data.\n"}}},"AliasDto":{"type":"object","properties":{"alias":{"type":"string","description":"Opaque string used to substitute the raw value."},"format":{"$ref":"#/components/schemas/AliasFormat","nullable":true}}},"AliasFormat":{"type":"string","enum":["ALPHANUMERIC_SIX_T_FOUR","CUSTOM","FPE_ACC_NUM_T_FOUR","FPE_ALPHANUMERIC_ACC_NUM_T_FOUR","FPE_SIX_T_FOUR","FPE_SSN_T_FOUR","FPE_T_FOUR","GENERIC_T_FOUR","JS","NON_LUHN_FPE_ALPHANUMERIC","NUM_LENGTH_PRESERVING","PFPT","RAW_UUID","UUID","VGS_FIXED_LEN_GENERIC"],"description":"Format of the generated alias string.\n\nSee [Alias Formats](#section/Introduction/Alias-Formats) for details.\n","nullable":true},"ApiError":{"type":"object","properties":{"status":{"type":"integer","description":"HTTP status code."},"title":{"type":"string","description":"High-level reason of why the request failed."},"detail":{"type":"string","description":"Explanation of what exactly went wrong."},"href":{"type":"string","description":"Request URL."}}}},"responses":{"ApiErrorsResponse":{"description":"Something went wrong","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/ApiError"},"description":"List of errors that occurred while processing the request.","minItems":1}}}}}}}},"paths":{"/aliases":{"get":{"operationId":"revealMultipleAliases","tags":["aliases"],"summary":"Reveal multiple aliases","description":"Given a list of aliases, retrieves all associated values stored in the\nvault.\n\n**NOTE:** This endpoint may expose sensitive data. Therefore, it is\ndisabled by default. To enable it, please contact your VGS account\nmanager or drop us a line at\n[support@verygoodsecurity.com](mailto:support@verygoodsecurity.com).\n","parameters":[{"name":"aliases","in":"query","required":true,"description":"Comma-separated list of aliases to reveal.","schema":{"type":"string"}},{"name":"storage","in":"query","required":false,"description":"PERSISTENT or VOLATILE storage","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/RevealedData"}}}}}}},"default":{"$ref":"#/components/responses/ApiErrorsResponse"}}}}}}
```

## Create aliases

> Stores multiple values at once & returns their aliases.\
> \
> Alternatively, this endpoint may be used to associate additional (i.e.\
> secondary) aliases with the same underlying data as the reference\
> alias specified in the request body.\
> \
> \*\*NOTE:\*\* You cannot reference the same alias more than once in a\
> single request.<br>

```json
{"openapi":"3.0.0","info":{"title":"Vault HTTP API","version":"1.0.0"},"tags":[{"name":"aliases","description":"Unique IDs that retain all the essential information about the data\nwithout compromising its security.\n"}],"servers":[{"url":"https://api.sandbox.verygoodvault.com","description":"Sandbox"},{"url":"https://api.live.verygoodvault.com","description":"Live"},{"url":"https://api.live-eu-1.verygoodvault.com","description":"Live EU"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"The default authentication schema."}},"schemas":{"CreateAliasesRequest":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/CreateAliasesRequestNew"},"minItems":1,"maxItems":20}},"required":["data"]},"CreateAliasesRequestNew":{"type":"object","properties":{"value":{"type":"string","description":"Raw value to encrypt & store in the vault."},"classifiers":{"type":"array","items":{"type":"string"},"description":"List of tags to classify the value with."},"format":{"$ref":"#/components/schemas/AliasFormat"},"storage":{"type":"string","enum":["PERSISTENT","VOLATILE"],"default":"PERSISTENT","description":"Storage medium to use.\n\nVOLATILE results in data being persisted into an in-memory data store for one hour which is required for PCI compliant storage of card security code data.\n"}},"required":["value","format"]},"AliasFormat":{"type":"string","enum":["ALPHANUMERIC_SIX_T_FOUR","CUSTOM","FPE_ACC_NUM_T_FOUR","FPE_ALPHANUMERIC_ACC_NUM_T_FOUR","FPE_SIX_T_FOUR","FPE_SSN_T_FOUR","FPE_T_FOUR","GENERIC_T_FOUR","JS","NON_LUHN_FPE_ALPHANUMERIC","NUM_LENGTH_PRESERVING","PFPT","RAW_UUID","UUID","VGS_FIXED_LEN_GENERIC"],"description":"Format of the generated alias string.\n\nSee [Alias Formats](#section/Introduction/Alias-Formats) for details.\n","nullable":true},"RevealedData":{"type":"object","properties":{"value":{"type":"string","description":"Decrypted value stored in the vault."},"classifiers":{"type":"array","items":{"type":"string"},"description":"List of tags the value is classified with."},"aliases":{"type":"array","items":{"$ref":"#/components/schemas/AliasDto"},"description":"List of aliases associated with the value."},"created_at":{"type":"string","format":"date-time","description":"Creation time, in UTC.","nullable":true},"storage":{"type":"string","enum":["PERSISTENT","VOLATILE"],"default":"PERSISTENT","description":"Storage medium to use.\n\nVOLATILE results in data being persisted into an in-memory data store for one hour which is required for PCI compliant storage of card security code data.\n"}}},"AliasDto":{"type":"object","properties":{"alias":{"type":"string","description":"Opaque string used to substitute the raw value."},"format":{"$ref":"#/components/schemas/AliasFormat","nullable":true}}},"ApiError":{"type":"object","properties":{"status":{"type":"integer","description":"HTTP status code."},"title":{"type":"string","description":"High-level reason of why the request failed."},"detail":{"type":"string","description":"Explanation of what exactly went wrong."},"href":{"type":"string","description":"Request URL."}}}},"responses":{"ApiErrorsResponse":{"description":"Something went wrong","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/ApiError"},"description":"List of errors that occurred while processing the request.","minItems":1}}}}}}}},"paths":{"/aliases":{"post":{"operationId":"createAliases","tags":["aliases"],"summary":"Create aliases","description":"Stores multiple values at once & returns their aliases.\n\nAlternatively, this endpoint may be used to associate additional (i.e.\nsecondary) aliases with the same underlying data as the reference\nalias specified in the request body.\n\n**NOTE:** You cannot reference the same alias more than once in a\nsingle request.\n","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAliasesRequest"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/RevealedData"},"description":"List of stored values along with their aliases."}}}}}},"default":{"$ref":"#/components/responses/ApiErrorsResponse"}}}}}}
```

## Batch Delete Aliases

> Deletes multiple aliases.<br>

```json
{"openapi":"3.0.0","info":{"title":"Vault HTTP API","version":"1.0.0"},"tags":[{"name":"aliases","description":"Unique IDs that retain all the essential information about the data\nwithout compromising its security.\n"}],"servers":[{"url":"https://api.sandbox.verygoodvault.com","description":"Sandbox"},{"url":"https://api.live.verygoodvault.com","description":"Live"},{"url":"https://api.live-eu-1.verygoodvault.com","description":"Live EU"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"The default authentication schema."}},"schemas":{"BatchAliasesRequest":{"type":"object","properties":{"data":{"type":"array","items":{"type":"string"}},"storage":{"type":"string","enum":["PERSISTENT","VOLATILE"]}},"description":"Format for batch requests (limit 20)\n"}}},"paths":{"/aliases/delete":{"post":{"summary":"Batch Delete Aliases","operationId":"deleteAliases","tags":["aliases"],"description":"Deletes multiple aliases.\n","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchAliasesRequest"}}},"required":true},"responses":{"204":{"description":"No Content"},"404":{"description":"Not Found"}}}}}}
```

## Reveal single alias

> Retrieves a stored value along with its aliases.\
> \
> \*\*NOTE:\*\* This endpoint may expose sensitive data. Therefore, it is\
> disabled by default. To enable it, please contact your VGS account\
> manager or drop us a line at\
> \[<support@verygoodsecurity.com>]\(mailto:<support@verygoodsecurity.com>).<br>

```json
{"openapi":"3.0.0","info":{"title":"Vault HTTP API","version":"1.0.0"},"tags":[{"name":"aliases","description":"Unique IDs that retain all the essential information about the data\nwithout compromising its security.\n"}],"servers":[{"url":"https://api.sandbox.verygoodvault.com","description":"Sandbox"},{"url":"https://api.live.verygoodvault.com","description":"Live"},{"url":"https://api.live-eu-1.verygoodvault.com","description":"Live EU"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"The default authentication schema."}},"parameters":{"alias":{"name":"alias","in":"path","required":true,"description":"Alias to operate on.","schema":{"type":"string"}},"storage":{"name":"storage","in":"query","required":false,"schema":{"type":"string","enum":["PERSISTENT","VOLATILE"],"default":"PERSISTENT"}}},"schemas":{"RevealedData":{"type":"object","properties":{"value":{"type":"string","description":"Decrypted value stored in the vault."},"classifiers":{"type":"array","items":{"type":"string"},"description":"List of tags the value is classified with."},"aliases":{"type":"array","items":{"$ref":"#/components/schemas/AliasDto"},"description":"List of aliases associated with the value."},"created_at":{"type":"string","format":"date-time","description":"Creation time, in UTC.","nullable":true},"storage":{"type":"string","enum":["PERSISTENT","VOLATILE"],"default":"PERSISTENT","description":"Storage medium to use.\n\nVOLATILE results in data being persisted into an in-memory data store for one hour which is required for PCI compliant storage of card security code data.\n"}}},"AliasDto":{"type":"object","properties":{"alias":{"type":"string","description":"Opaque string used to substitute the raw value."},"format":{"$ref":"#/components/schemas/AliasFormat","nullable":true}}},"AliasFormat":{"type":"string","enum":["ALPHANUMERIC_SIX_T_FOUR","CUSTOM","FPE_ACC_NUM_T_FOUR","FPE_ALPHANUMERIC_ACC_NUM_T_FOUR","FPE_SIX_T_FOUR","FPE_SSN_T_FOUR","FPE_T_FOUR","GENERIC_T_FOUR","JS","NON_LUHN_FPE_ALPHANUMERIC","NUM_LENGTH_PRESERVING","PFPT","RAW_UUID","UUID","VGS_FIXED_LEN_GENERIC"],"description":"Format of the generated alias string.\n\nSee [Alias Formats](#section/Introduction/Alias-Formats) for details.\n","nullable":true},"ApiError":{"type":"object","properties":{"status":{"type":"integer","description":"HTTP status code."},"title":{"type":"string","description":"High-level reason of why the request failed."},"detail":{"type":"string","description":"Explanation of what exactly went wrong."},"href":{"type":"string","description":"Request URL."}}}},"responses":{"ApiErrorsResponse":{"description":"Something went wrong","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/ApiError"},"description":"List of errors that occurred while processing the request.","minItems":1}}}}}}}},"paths":{"/aliases/{alias}":{"get":{"operationId":"revealAlias","tags":["aliases"],"summary":"Reveal single alias","description":"Retrieves a stored value along with its aliases.\n\n**NOTE:** This endpoint may expose sensitive data. Therefore, it is\ndisabled by default. To enable it, please contact your VGS account\nmanager or drop us a line at\n[support@verygoodsecurity.com](mailto:support@verygoodsecurity.com).\n","parameters":[{"$ref":"#/components/parameters/alias"},{"$ref":"#/components/parameters/storage"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/RevealedData"},"description":"The retrieved value.","minItems":1,"maxItems":1}}}}}},"default":{"$ref":"#/components/responses/ApiErrorsResponse"}}}}}}
```

## Update data classifiers

> Apply new classifiers to the value that the specified alias is\
> associated with.<br>

```json
{"openapi":"3.0.0","info":{"title":"Vault HTTP API","version":"1.0.0"},"tags":[{"name":"aliases","description":"Unique IDs that retain all the essential information about the data\nwithout compromising its security.\n"}],"servers":[{"url":"https://api.sandbox.verygoodvault.com","description":"Sandbox"},{"url":"https://api.live.verygoodvault.com","description":"Live"},{"url":"https://api.live-eu-1.verygoodvault.com","description":"Live EU"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"The default authentication schema."}},"schemas":{"UpdateAliasRequest":{"type":"object","properties":{"data":{"type":"object","properties":{"classifiers":{"type":"array","items":{"type":"string"},"description":"List of tags to classify the value with."}},"required":["classifiers"]}},"required":["data"]},"ApiError":{"type":"object","properties":{"status":{"type":"integer","description":"HTTP status code."},"title":{"type":"string","description":"High-level reason of why the request failed."},"detail":{"type":"string","description":"Explanation of what exactly went wrong."},"href":{"type":"string","description":"Request URL."}}}},"responses":{"ApiErrorsResponse":{"description":"Something went wrong","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/ApiError"},"description":"List of errors that occurred while processing the request.","minItems":1}}}}}}}},"paths":{"/aliases/{alias}":{"put":{"operationId":"updateAlias","tags":["aliases"],"summary":"Update data classifiers","description":"Apply new classifiers to the value that the specified alias is\nassociated with.\n","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAliasRequest"}}}},"responses":{"204":{"description":"No Content"},"default":{"$ref":"#/components/responses/ApiErrorsResponse"}}}}}}
```

## Delete alias

> Removes a single alias.<br>

```json
{"openapi":"3.0.0","info":{"title":"Vault HTTP API","version":"1.0.0"},"tags":[{"name":"aliases","description":"Unique IDs that retain all the essential information about the data\nwithout compromising its security.\n"}],"servers":[{"url":"https://api.sandbox.verygoodvault.com","description":"Sandbox"},{"url":"https://api.live.verygoodvault.com","description":"Live"},{"url":"https://api.live-eu-1.verygoodvault.com","description":"Live EU"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"The default authentication schema."}},"parameters":{"alias":{"name":"alias","in":"path","required":true,"description":"Alias to operate on.","schema":{"type":"string"}},"storage":{"name":"storage","in":"query","required":false,"schema":{"type":"string","enum":["PERSISTENT","VOLATILE"],"default":"PERSISTENT"}}},"responses":{"ApiErrorsResponse":{"description":"Something went wrong","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/ApiError"},"description":"List of errors that occurred while processing the request.","minItems":1}}}}}}},"schemas":{"ApiError":{"type":"object","properties":{"status":{"type":"integer","description":"HTTP status code."},"title":{"type":"string","description":"High-level reason of why the request failed."},"detail":{"type":"string","description":"Explanation of what exactly went wrong."},"href":{"type":"string","description":"Request URL."}}}}},"paths":{"/aliases/{alias}":{"delete":{"operationId":"deleteAlias","tags":["aliases"],"summary":"Delete alias","description":"Removes a single alias.\n","parameters":[{"$ref":"#/components/parameters/alias"},{"$ref":"#/components/parameters/storage"}],"responses":{"204":{"description":"No Content"},"default":{"$ref":"#/components/responses/ApiErrorsResponse"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verygoodsecurity.com/vault/developer-tools/apis/vault-api-v1/aliases.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
